[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.BlockReadSize

Number of records to read

## Declaration

Source position: db.pas line 1623

`public property TDataSet.BlockReadSize : Integer read FBlockReadSize write SetBlockReadSize;`

## Description

BlockReadSize can be set to a positive number to prevent the dataset from sending notifications to DB-Aware controls while scrolling through the data. Setting it to zero will re-enable sending of notifications, as will putting the dataset in another state (edit etc.).

## See also

EnableControls
DisableControls

Documentation generated on: Feb 26 2014